package div_war_net

import (
	"fmt"
	"wartank/pkg/components/arena_net"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в сражении
*/

// DivWarNet -- танкует в сражении
type DivWarNet struct {
	*arena_net.АренаСеть
	bot types.ИБот
}

// NewDivWarNet -- возвращает новый *DivWarNet
func NewDivWarNet(bot types.ИБот) (*DivWarNet, error) {
	if bot == nil {
		return nil, fmt.Errorf("NewDivWarNet(): IServBpt == nil")
	}

	сам := &DivWarNet{
		// SectionNet: section_net.NewSectionNet(server, bot, ..., "https://wartank.ru/bitva"),
		bot: bot,
	}
	return сам, nil
}
